]> git.pld-linux.org Git - packages/rpm.git/blob - rpm-php-macros.patch
- clean up configure options
[packages/rpm.git] / rpm-php-macros.patch
1 --- rpm-5.3.1/configure.ac.wiget        2010-05-30 16:43:06.000000000 +0200
2 +++ rpm-5.3.1/configure.ac      2010-05-30 16:43:38.482725491 +0200
3 @@ -2199,6 +2199,7 @@ AC_CONFIG_FILES([ po/Makefile.in
4  AC_CONFIG_FILES([Makefile
5         rpmio/Makefile lib/Makefile build/Makefile sign/Makefile
6         po/Makefile.in scripts/Makefile scripts/perl.req scripts/perl.prov fileattrs/Makefile
7 +       scripts/php.req scripts/php.prov
8         misc/Makefile 
9         doc/Makefile
10         python/Makefile
11 --- rpm-4.15.1/fileattrs/Makefile.am~   2019-06-26 23:17:31.000000000 +0900
12 +++ rpm-4.15.1/fileattrs/Makefile.am    2019-12-29 00:23:02.120085588 +0900
13 @@ -8,6 +8,6 @@
14  fattrs_DATA = \
15         debuginfo.attr desktop.attr elf.attr font.attr libtool.attr metainfo.attr \
16         perl.attr perllib.attr pkgconfig.attr python.attr pythondist.attr ocaml.attr \
17 -       script.attr
18 +       script.attr php.attr
19  
20  EXTRA_DIST = $(fattrs_DATA)
21 --- /dev/null   2019-12-23 19:28:16.334291624 +0900
22 +++ rpm-4.15.1/fileattrs/php.attr       2019-12-29 00:22:52.989864428 +0900
23 @@ -0,0 +1,6 @@
24 +%__php_provides                %{_rpmconfigdir}/php.prov
25 +# define 'php_req_new' in ~/.rpmmacros to use php version of req finder
26 +%__php_requires                env PHP_MIN_VERSION=%{?php_min_version} %{_rpmconfigdir}/php.req%{?php_req_new:.php}
27 +%__php_magic           ^PHP script.*
28 +%__php_path            \\.php$
29 +%__php_flags           magic_and_path
This page took 0.034337 seconds and 3 git commands to generate.